.form-section {
    padding: 60px 20px;
    font-family: 'Poppins', sans-serif;
    margin-top: 100px;
    background-image: url(../img/zdj32.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    position: relative;
    z-index: 0;
}
.form-section::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.5);
    z-index: -1;
}
.form-container {
    max-width: 700px;
    background-color: white;
    margin: 0 auto;
    padding: 40px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.5);
}

.form-container h2 {
    color: #2ca955;
    font-size: 32px;
    margin-bottom: 10px;
    text-align: center;
}
.form-container h3{
    text-align: center;
    font-size: 20px;
    font-weight: 300;
    margin-bottom: 50px;
}
.form-group label {
    display: block;
    color: black;
    font-weight: bold;
    font-size: 16px;
    font-weight: 400;
}

.form-group input,
.form-group select {
    margin-bottom: 10px;
    width: 100%;
    padding: 12px 0 6px 0;
    border: none;
    border-bottom: 1px solid black;
    font-size: 16px;
    transition: border-color 0.3s;
}

.form-group textarea {
    width: 100%;
    font-size: 16px;
    resize: vertical;
    min-height: 120px;
    max-height: 200px;
    border: none;
    border-bottom: 1px solid black;
    font-family: 'Poppins',sans-serif;
    outline: none;
    background-color: #ffffff;
    font-weight: 400;
}
.form-group input:focus,
.form-group select:focus {
    border-color: #2ca955;
    outline: none;
}   

button[type="submit"] {
    background-color: #2ca955;      
    color: white;
    border: none;
    padding: 14px 28px;
    font-size: 16px;
    font-weight: 600;
    border-radius: 12px;
    box-shadow: 0 4px 10px rgba(44, 169, 85, 0.3);
    cursor: pointer;
    transition: all 0.3s ease;
    margin: 20px auto 0 auto;
    display: block;
}

button[type="submit"]:hover {
    background-color: #249245;
    transform: scale(1.05);
    box-shadow: 0 6px 16px rgba(44, 169, 85, 0.4);
}

@media (max-width:900px){
    .form-container {
        margin-top: 100px;
    }
    .form-section {
        margin-top: -100px;
    }
}